# CacheResponse

Added in[API level 1](https://developer.android.com/guide/topics/manifest/uses-sdk-element#ApiLevels)  
Summary:[Ctors](https://developer.android.com/reference/java/net/CacheResponse#pubctors)\|[Methods](https://developer.android.com/reference/java/net/CacheResponse#pubmethods)\|[Inherited Methods](https://developer.android.com/reference/java/net/CacheResponse#inhmethods)  

# CacheResponse

`
public


abstract
class
CacheResponse
`  
`

extends `[Object](https://developer.android.com/reference/java/lang/Object)`


``


`

|---|------------------------|
| [java.lang.Object](https://developer.android.com/reference/java/lang/Object) ||
| ↳ | java.net.CacheResponse |

|-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| Known direct subclasses [SecureCacheResponse](https://developer.android.com/reference/java/net/SecureCacheResponse) |---------------------------------------------------------------------------------------------|-------------------------------------------------------------------------------------| | [SecureCacheResponse](https://developer.android.com/reference/java/net/SecureCacheResponse) | Represents a cache response originally retrieved through secure means, such as TLS. | |

<br />

*** ** * ** ***

Represent channels for retrieving resources from the ResponseCache. Instances of such a class provide an InputStream that returns the entity body, and also a getHeaders() method which returns the associated response headers.

## Summary

|                                          ### Public constructors                                           ||
|---------------------------------------------------------------------------------------------------------|---|
| ` `[CacheResponse](https://developer.android.com/reference/java/net/CacheResponse#CacheResponse())`() ` |

|                                                                                                                                                                                                         ### Public methods                                                                                                                                                                                                         ||
|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|------------------------------------------------------------------------------------------------------------------------------------------|
| ` abstract `[InputStream](https://developer.android.com/reference/java/io/InputStream)                                                                                                                                                                                                   | ` `[getBody](https://developer.android.com/reference/java/net/CacheResponse#getBody())`() ` Returns the response body as an InputStream. |
| ` abstract `[Map](https://developer.android.com/reference/java/util/Map)`<`[String](https://developer.android.com/reference/java/lang/String)`, `[List](https://developer.android.com/reference/java/util/List)`<`[String](https://developer.android.com/reference/java/lang/String)`>>` | ` `[getHeaders](https://developer.android.com/reference/java/net/CacheResponse#getHeaders())`() ` Returns the response headers as a Map. |

| ### Inherited methods |
|-----------------------|---|
| From class` `[java.lang.Object](https://developer.android.com/reference/java/lang/Object)` ` |--------------------------------------------------------------------------------|-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------| | ` `[Object](https://developer.android.com/reference/java/lang/Object)          | ` `[clone](https://developer.android.com/reference/java/lang/Object#clone())`() ` Creates and returns a copy of this object.                                                                                                                                                      | | ` boolean`                                                                     | ` `[equals](https://developer.android.com/reference/java/lang/Object#equals(java.lang.Object))`(`[Object](https://developer.android.com/reference/java/lang/Object)` obj) ` Indicates whether some other object is "equal to" this one.                                           | | ` void`                                                                        | ` `[finalize](https://developer.android.com/reference/java/lang/Object#finalize())`() ` Called by the garbage collector on an object when garbage collection determines that there are no more references to the object.                                                          | | ` final `[Class](https://developer.android.com/reference/java/lang/Class)`<?>` | ` `[getClass](https://developer.android.com/reference/java/lang/Object#getClass())`() ` Returns the runtime class of this`Object`.                                                                                                                                                | | ` int`                                                                         | ` `[hashCode](https://developer.android.com/reference/java/lang/Object#hashCode())`() ` Returns a hash code value for the object.                                                                                                                                                 | | ` final void`                                                                  | ` `[notify](https://developer.android.com/reference/java/lang/Object#notify())`() ` Wakes up a single thread that is waiting on this object's monitor.                                                                                                                            | | ` final void`                                                                  | ` `[notifyAll](https://developer.android.com/reference/java/lang/Object#notifyAll())`() ` Wakes up all threads that are waiting on this object's monitor.                                                                                                                         | | ` `[String](https://developer.android.com/reference/java/lang/String)          | ` `[toString](https://developer.android.com/reference/java/lang/Object#toString())`() ` Returns a string representation of the object.                                                                                                                                            | | ` final void`                                                                  | ` `[wait](https://developer.android.com/reference/java/lang/Object#wait(long,%20int))`(long timeoutMillis, int nanos) ` Causes the current thread to wait until it is awakened, typically by being*notified* or*interrupted*, or until a certain amount of real time has elapsed. | | ` final void`                                                                  | ` `[wait](https://developer.android.com/reference/java/lang/Object#wait(long))`(long timeoutMillis) ` Causes the current thread to wait until it is awakened, typically by being*notified* or*interrupted*, or until a certain amount of real time has elapsed.                   | | ` final void`                                                                  | ` `[wait](https://developer.android.com/reference/java/lang/Object#wait())`() ` Causes the current thread to wait until it is awakened, typically by being*notified* or*interrupted*.                                                                                             | ||

## Public constructors

### CacheResponse

Added in[API level 1](https://developer.android.com/guide/topics/manifest/uses-sdk-element#ApiLevels)  

```
public CacheResponse ()
```

<br />

<br />

## Public methods

### getBody

Added in[API level 1](https://developer.android.com/guide/topics/manifest/uses-sdk-element#ApiLevels)  

```
public abstract InputStream getBody ()
```

Returns the response body as an InputStream.

<br />

|                                                                    Returns                                                                     ||
|----------------------------------------------------------------------------|--------------------------------------------------------------------|
| [InputStream](https://developer.android.com/reference/java/io/InputStream) | an InputStream from which the response body can be accessed <br /> |

|                                                               Throws                                                               ||
|----------------------------------------------------------------------------|--------------------------------------------------------|
| [IOException](https://developer.android.com/reference/java/io/IOException) | if an I/O error occurs while getting the response body |

### getHeaders

Added in[API level 1](https://developer.android.com/guide/topics/manifest/uses-sdk-element#ApiLevels)  

```
public abstract Map<String, List<String>> getHeaders ()
```

Returns the response headers as a Map.

<br />

|                                                                                                                                                                                                   Returns                                                                                                                                                                                                    ||
|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|--------------------------------------------------------------------------------------------------------------------------------|
| [Map](https://developer.android.com/reference/java/util/Map)`<`[String](https://developer.android.com/reference/java/lang/String)`, `[List](https://developer.android.com/reference/java/util/List)`<`[String](https://developer.android.com/reference/java/lang/String)`>>` | An immutable Map from response header field names to lists of field values. The status line has null as its field name. <br /> |

|                                                                Throws                                                                 ||
|----------------------------------------------------------------------------|-----------------------------------------------------------|
| [IOException](https://developer.android.com/reference/java/io/IOException) | if an I/O error occurs while getting the response headers |